Threefish_Info< BS > Struct Template Reference

Threefish block cipher information. More...

`#include <threefish.h>`

Inheritance diagram for Threefish_Info< BS >:

## Static Public Member Functions

static const std::string | StaticAlgorithmName ()
Static Public Member Functions inherited from FixedKeyLength< BS >
static size_t | StaticGetValidKeyLength (size_t keylength)
| The default key length for the algorithm provided by a static function.

## Additional Inherited Members

Static Public Attributes inherited from FixedBlockSize< BS >
static const int | BLOCKSIZE
| The block size of the algorithm provided as a constant.
Static Public Attributes inherited from FixedKeyLength< BS >
static const int | KEYLENGTH
| The default key length used by the algorithm provided as a constant.
static const int | MIN_KEYLENGTH
| The minimum key length used by the algorithm provided as a constant.
static const int | MAX_KEYLENGTH
| The maximum key length used by the algorithm provided as a constant.
static const int | DEFAULT_KEYLENGTH
| The default key length used by the algorithm provided as a constant.
static const int | IV_REQUIREMENT
| The default IV requirements for the algorithm provided as a constant.
static const int | IV_LENGTH
| The default IV length used by the algorithm provided as a constant.

## Detailed Description

template<unsigned int BS>
struct Threefish_Info< BS >

Threefish block cipher information.

Template Parameters

  BS | block size of the cipher, in bytes

Since
  Crypto++ 6.0

Definition at line 25 of file threefish.h.

## Member Function Documentation

## StaticAlgorithmName()

template<unsigned int BS>

static const std::string Threefish_Info< BS >::StaticAlgorithmName | ( |  | ) |

inline static

Definition at line 27 of file threefish.h.

The documentation for this struct was generated from the following file:

- threefish.h